Call retry failed job imports for specified APC and project.
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyAutomations
Call retry failed job imports for specified APC and project.
Retries the failed job imports of the given project for the given APC. This is the target of the warnings[].actions[] entries in the APC status response.
Available only for APCs stored on the Automation Service; otherwise the request fails with 400 Bad Request.
Responds with 404 Not Found for a deleted project.
PUT
/
api2
/
v1
/
automatedProjects
/
{settingsId}
/
projects
/
{projectUid}
/
retryFailedJobImports
Call retry failed job imports for specified APC and project.
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/projects/{projectUid}/retryFailedJobImports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodyAuthorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Identifier of the automated project creation settings
Identifier of the project
Response
OK
Was this page helpful?